var Vec2 = require('../../lib/util/Vec2');

module.exports = (function() {

    Targeting.TRACK      = 'track';
    Targeting.KEEP_ANGLE = 'trackAngle';

    // Set a target for an entity with various strategies to move there (or
    // target it in general)
    function Targeting()
    {
        this.targetPosition = Vec2.aquireOrClear(this.targetPosition);
        this.targetingStrategy = Targeting.TRACK;
    }

    return Targeting;

})();
