module.exports = (function() {

    // A generic, ID-able resource. Inteded to be loaded from JSON files
    function Resource()
    {
        this.name      = '';
        this.namespace = '';
        this.tags      = [];
    }

    Resource.prototype.getFullName = function()
    {
        return this.namespace ?
            this.namespace + '.' + this.name :
            this.name;
    };

    return Resource;

})();
