var Pool     = require('../../lib/util/Pool');
var Vec2     = require('../../lib/util/Vec2');
var QuadTree = require('../../lib/util/QuadTree');

QUnit.module('Quad Tree');

test('basics', function() {

    var tree = new QuadTree();
    tree.size.set(100, 100);
    tree.position.set(0,0);
    var obj = {};

    // Add 10 items
    for (x = 0; x < 10; x++) {
        tree.insert(obj, new Vec2(x * 10, x * 10), new Vec2(5, 5));
    }

    equal(tree.nodes.length, 0, 'no nodes yet');
});

